net.sf.jasperreports.engine.type

## Enum RenderableTypeEnum

- java.lang.Object
- - java.lang.Enum<RenderableTypeEnum>
  - - net.sf.jasperreports.engine.type.RenderableTypeEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RenderableTypeEnum>, JREnum, NamedEnum

      public enum RenderableTypeEnum
      extends java.lang.Enum<RenderableTypeEnum>
      implements JREnum

  Version:
    $Id: RenderableTypeEnum.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IMAGE` Specifies that the renderable is rendering an image.
    `SVG` Specifies that the renderable is rendering a SVG.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RenderableTypeEnum` | `getByName(java.lang.String name)`
    `static RenderableTypeEnum` | `getByValue(byte value)`
    `static RenderableTypeEnum` | `getByValue(java.lang.Byte value)`
    `java.lang.String` | `getName()`
    `byte` | `getValue()`
    `java.lang.Byte` | `getValueByte()`
    `static RenderableTypeEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RenderableTypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IMAGE

          public static final RenderableTypeEnum IMAGE

      Specifies that the renderable is rendering an image.

    - #### SVG

          public static final RenderableTypeEnum SVG

      Specifies that the renderable is rendering a SVG.

  - ### Method Detail

    - #### values

          public static RenderableTypeEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RenderableTypeEnum c : RenderableTypeEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RenderableTypeEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueByte

          public java.lang.Byte getValueByte()

      Specified by:
        `getValueByte` in interface `JREnum`

    - #### getValue

          public final byte getValue()

      Specified by:
        `getValue` in interface `JREnum`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### getByName

          public static RenderableTypeEnum getByName(java.lang.String name)

    - #### getByValue

          public static RenderableTypeEnum getByValue(java.lang.Byte value)

    - #### getByValue

          public static RenderableTypeEnum getByValue(byte value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com